using System;
using System.Data;
using System.Collections.Generic;
using ZXDT.Common;
using ZXDT.CallCenter.Model;
namespace ZXDT.CallCenter.BLL
{
	/// <summary>
	/// T_Wf_WorkFlow
	/// </summary>
	public partial class T_Wf_WorkFlow
	{
		private readonly ZXDT.CallCenter.DAL.T_Wf_WorkFlow dal=new ZXDT.CallCenter.DAL.T_Wf_WorkFlow();
		public T_Wf_WorkFlow()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_ID)
		{
			return dal.Exists(F_ID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool  Add(ZXDT.CallCenter.Model.T_Wf_WorkFlow model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wf_WorkFlow model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_ID)
		{
			
			return dal.Delete(F_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string F_IDlist )
		{
			return dal.DeleteList(F_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wf_WorkFlow GetModel(int F_ID)
		{
			
			return dal.GetModel(F_ID);
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wf_WorkFlow> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<ZXDT.CallCenter.Model.T_Wf_WorkFlow> DataTableToList(DataTable dt)
		{
			List<ZXDT.CallCenter.Model.T_Wf_WorkFlow> modelList = new List<ZXDT.CallCenter.Model.T_Wf_WorkFlow>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				ZXDT.CallCenter.Model.T_Wf_WorkFlow model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new ZXDT.CallCenter.Model.T_Wf_WorkFlow();
					if(dt.Rows[n]["F_ID"]!=null && dt.Rows[n]["F_ID"].ToString()!="")
					{
						model.F_ID=int.Parse(dt.Rows[n]["F_ID"].ToString());
					}
					if(dt.Rows[n]["F_Name"]!=null && dt.Rows[n]["F_Name"].ToString()!="")
					{
					model.F_Name=dt.Rows[n]["F_Name"].ToString();
					}
					if(dt.Rows[n]["F_CategoryID"]!=null && dt.Rows[n]["F_CategoryID"].ToString()!="")
					{
						model.F_CategoryID=int.Parse(dt.Rows[n]["F_CategoryID"].ToString());
					}
					if(dt.Rows[n]["F_CategoryName"]!=null && dt.Rows[n]["F_CategoryName"].ToString()!="")
					{
					model.F_CategoryName=dt.Rows[n]["F_CategoryName"].ToString();
					}
					if(dt.Rows[n]["F_State"]!=null && dt.Rows[n]["F_State"].ToString()!="")
					{
						if((dt.Rows[n]["F_State"].ToString()=="1")||(dt.Rows[n]["F_State"].ToString().ToLower()=="true"))
						{
						model.F_State=true;
						}
						else
						{
							model.F_State=false;
						}
					}
					if(dt.Rows[n]["F_StartDate"]!=null && dt.Rows[n]["F_StartDate"].ToString()!="")
					{
						model.F_StartDate=DateTime.Parse(dt.Rows[n]["F_StartDate"].ToString());
					}
					if(dt.Rows[n]["F_CreateDate"]!=null && dt.Rows[n]["F_CreateDate"].ToString()!="")
					{
						model.F_CreateDate=DateTime.Parse(dt.Rows[n]["F_CreateDate"].ToString());
					}
					if(dt.Rows[n]["F_CreateBy"]!=null && dt.Rows[n]["F_CreateBy"].ToString()!="")
					{
						model.F_CreateBy=int.Parse(dt.Rows[n]["F_CreateBy"].ToString());
					}
					if(dt.Rows[n]["F_CreateName"]!=null && dt.Rows[n]["F_CreateName"].ToString()!="")
					{
					model.F_CreateName=dt.Rows[n]["F_CreateName"].ToString();
					}
					if(dt.Rows[n]["F_EditDate"]!=null && dt.Rows[n]["F_EditDate"].ToString()!="")
					{
						model.F_EditDate=DateTime.Parse(dt.Rows[n]["F_EditDate"].ToString());
					}
					if(dt.Rows[n]["F_EditBy"]!=null && dt.Rows[n]["F_EditBy"].ToString()!="")
					{
						model.F_EditBy=int.Parse(dt.Rows[n]["F_EditBy"].ToString());
					}
					if(dt.Rows[n]["F_EditName"]!=null && dt.Rows[n]["F_EditName"].ToString()!="")
					{
					model.F_EditName=dt.Rows[n]["F_EditName"].ToString();
					}
					if(dt.Rows[n]["F_XML"]!=null && dt.Rows[n]["F_XML"].ToString()!="")
					{
					model.F_XML=dt.Rows[n]["F_XML"].ToString();
					}
					if(dt.Rows[n]["F_EntityId"]!=null && dt.Rows[n]["F_EntityId"].ToString()!="")
					{
						model.F_EntityId=int.Parse(dt.Rows[n]["F_EntityId"].ToString());
					}
					if(dt.Rows[n]["F_MarkId"]!=null && dt.Rows[n]["F_MarkId"].ToString()!="")
					{
						model.F_MarkId=int.Parse(dt.Rows[n]["F_MarkId"].ToString());
					}
					if(dt.Rows[n]["F_Useless"]!=null && dt.Rows[n]["F_Useless"].ToString()!="")
					{
						if((dt.Rows[n]["F_Useless"].ToString()=="1")||(dt.Rows[n]["F_Useless"].ToString().ToLower()=="true"))
						{
						model.F_Useless=true;
						}
						else
						{
							model.F_Useless=false;
						}
					}
					if(dt.Rows[n]["F_VerID"]!=null && dt.Rows[n]["F_VerID"].ToString()!="")
					{
						model.F_VerID=int.Parse(dt.Rows[n]["F_VerID"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

